> For the complete documentation index, see [llms.txt](https://docs.cybus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cybus.io/2-0-2/documentation/services/service-commissioning-files/metadata.md).

# Metadata

The metadata section allows you to specify further information about your service in a structured way.

## Metadata Properties

| Property              | Type     | Required     |
| --------------------- | -------- | ------------ |
| [name](#name)         | `string` | **Required** |
| [homepage](#homepage) | `string` | Optional     |
| [icon](#icon)         | `string` | Optional     |
| [provider](#provider) | `string` | Optional     |
| [version](#version)   | `string` | Optional     |

### name

A short title typically used in UI representation.

It is allowed to use [parameter substitutions](/2-0-2/documentation/services/service-commissioning-files/parameters.md) in this property, for example setting it to `!sub 'Machine ${machineNum}'` if there exists a parameter `machineNum`.

The auto-generated default [Service ID](/2-0-2/documentation/services/serviceid.md) will be generated from this string by removing all characters that are not allowed for the Service ID. For backward-compatibility reasons, in Connectware version 1.0.x all characters are changed to lowercase and also all punctuation is removed, including underscore and period.

* **Required**
* Type: `string`
  * maximum length: 80 characters

### homepage

URL to the homepage of the provider

* **Optional**
* Type: `string`
* Format: `uri` – Uniform Resource Identifier (according to [RFC3986](http://tools.ietf.org/html/rfc3986))

### icon

A link to an icon image typically used in UI representation

* **Optional**
* Type: `string`

### provider

The provider/author of the this service commissioning file

* **Optional**
* Type: `string`

### version

Semantic version of the service. The version identifies the capabilities of the service commissioning file. The latest version is 1 and is the only valid value.

{% code lineNumbers="true" %}

```yaml
version: 1
```

{% endcode %}

* **Optional**
* Type: `string`

## Example

{% code lineNumbers="true" %}

```yaml
metadata:
  name: Simulated Machining Center
  icon: http://www.axon-mcs.de/wp-content/uploads/2016/08/Litz-LU620.jpg
  provider: cybus
  homepage: https://www.cybus.io
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.cybus.io/2-0-2/documentation/services/service-commissioning-files/metadata.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
